package mdiproject;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;

import javax.swing.JInternalFrame;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class ChildFrame extends JInternalFrame {
//  public ChildFrame() {
//    super("New Child Frame", true, true, true, true);
//    setVisible(true);
//    setSize(400, 300);
//  }
  JTextArea textArea = new JTextArea();
  JScrollPane scrollPane = new JScrollPane(textArea);
  BufferedReader buffReader = null;
  public ChildFrame(String fileName, boolean fileExists) {
    super(fileName, true, true, true, true);
    setVisible(true);
    setSize(500, 400);

    this.getContentPane().add(scrollPane);
    if (!isValidTextFile(new File(fileName)))
      return;

    try {
      buffReader = new BufferedReader(new FileReader(fileName));
      while (buffReader.ready()) {
        String nextLine = buffReader.readLine();
        textArea.append(nextLine+"\n");
      }
    }
    catch (IOException ex) {
      System.out.println(ex.getMessage());
    }

  }
  private boolean isValidTextFile(File pathname) {
    boolean validTextFile = false;

    if (pathname.isDirectory())
      validTextFile = false;

    // From the filename, extract the file extension. Typically Linux filenames
    // can have more than one '.' embedded in the path; therefore, extract the
    // substring that is after the last index position of '.' in the filename.
    String fileName = pathname.getName();
    int extIndex = fileName.lastIndexOf('.');
    String fileExt = "";
    if (extIndex > 0) {
      fileExt = fileName.substring(extIndex + 1);
      fileExt = fileExt.toUpperCase();
    }
    if ((fileExt == null) || (fileExt.equals("")))
      validTextFile = false;
    if ((fileExt.equals("TXT")) ||
        (fileExt.equals("TEXT")) ||
        (fileExt.equals("JAVA")) ||
        (fileExt.equals("HTML")) ||
        (fileExt.equals("HTM")) ||
        (fileExt.equals("XML"))) {
      validTextFile = true;
    }

    return validTextFile;
  }

}